Subject: [P2PSIP] Interoperability problem with lifetime

From: Marc Petit-Huguenin <[email-masked]>
Date: Sat, 20 Aug 2011 17:00:25 -0700

A lifetime value is sent in both FetchKindResponse and StatKindResponse but
there is no explanation about what this value should contain.

If it is the value that was sent in the StoreReq, then this value is useless for
the node that will receive it, as it is not relative to the storage_time field,
and so cannot be used to know when to re-store the resource record.  So it would
make sense that this field contains the *remaining* lifetime for the resource
record (using an algorithm similar to what is in section 6.4.1.1), but it is not
explicitly said in the spec, so there will be variations in implementations, and
interoperability problems for implementations that will count on using this
field as the remaining lifetime.

- -- 
Marc Petit-Huguenin
Personal email: [email-masked]
Professional email: [email-masked]
Blog: http://blog.marc.petit-huguenin.org

---

From: Bruce Lowekamp <[email-masked]>
Date: Sun, 21 Aug 2011 08:47:18 -0400

Marc,

I think using "interoperability problem" as the subject of every
clarification request is maybe a bit overly dramatic, despite the fact
that technically an unclear passage could lead to interop problems.

I think it was implied from the definition of the field at the
beginning of section 6 and the description of the algorithm for use in
StoredData in 6.4.1 how to calculate the lifetime value, but we can
add something to the mention of StoredData in 6.4.2 and definition of
StoredMetaData in 6.4.3 saying to use the same algorithm every time
the lifetime value is used to make it explicit.

Bruce

On Sat, Aug 20, 2011 at 8:00 PM, Marc Petit-Huguenin <[email-masked]> wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.11 (GNU/Linux)
>
> iEYEARECAAYFAk5QSpgACgkQ9RoMZyVa61c5aQCgmEh1sK5e3qYxZVLMK5xpPt35
> RQYAnRTseKflyht1DuEJ6Z/NJfdnowWD
> =bJmD
> -----END PGP SIGNATURE-----
> _______________________________________________
> P2PSIP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/p2psip
>